## org.eclipse.jst.pagedesigner.converter
Class JSFConverterUtil

    java.lang.Object
      org.eclipse.jst.pagedesigner.converter.JSFConverterUtil

    public class JSFConverterUtil

extends java.lang.Object

Version:
  1.5

Constructor Summary
`JSFConverterUtil()`

Method Summary
`static void` `copyAllAttributes(org.w3c.dom.Element source, org.w3c.dom.Element dest, java.util.Set ignore)`
`static void` `copyAttribute(org.w3c.dom.Element source, java.lang.String srcattr, org.w3c.dom.Element dest, java.lang.String destattr)` copy a single attribute (if exist)

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSFConverterUtil

    public JSFConverterUtil()

Method Detail

### copyAllAttributes

    public static void copyAllAttributes(org.w3c.dom.Element source,
                                         org.w3c.dom.Element dest,
                                         java.util.Set ignore)

  Parameters:
    `source` -
    `dest` -
    `ignore` -

### copyAttribute

    public static void copyAttribute(org.w3c.dom.Element source,
                                     java.lang.String srcattr,
                                     org.w3c.dom.Element dest,
                                     java.lang.String destattr)

  copy a single attribute (if exist)

  Parameters:
    `source` -
    `srcattr` -
    `dest` -
    `destattr` -